Subject: [GROW] Request for input on Prefix Limits by IETF 113 IDR session (3/4 to 3/25)

From: "Susan Hares" <[email-masked]>
Date: Thu, 3 Mar 2022 12:53:06 -0500

Grow: 

In the past you requested the IDR WG to consider drafts on prefix limits. 

Two drafts proposed included discussions on prefix limits 

(draft-wang-idr-vpn-prefix-orf-02.txt, 

draft-sas-idr-maxprefix-inbound-04.txt) 

Would you query the grow working group regarding: 

a) hard prefix limits per BGP peer 

   a) (protocol enforced) maximum prefix (inbound) 

   b) (software enforced) maximum prefix (inbound) 

   c) (software enforced) maximum prefix (outbound)

b) thresholds prior to hard limits per BGP peer 

c) What limits should be placed on VPNs? 

    What granularity   

Do you think you could get an answer for IDR by 

the end of IETF 113? 

If you wish, I can also present the request at Grow at IETF 113. 

5 minutes (what I need + why) 

10 discussion (when I listen to operations experts)  

Sue Hares

(idr co-chair) 

--------------------

Drafts mentioned 

Draft 1: draft-wang-idr-vpn-prefix-orf-02.txt 

https://datatracker.ietf.org/doc/draft-wang-idr-vpn-prefix-orf/

Note: ORF mechanism not approved, but prefix limits discussion is useful: 

https://mailarchive.ietf.org/arch/msg/idr/Lt5IQVUNPxhEh8-xvRTDIJZ24Kk/

New definitions:  Weak-PE, rogue-PE 

Draft 2: draft-sas-idr-maxprefix-inbound-04.txt  

https://datatracker.ietf.org/doc/draft-sas-idr-maxprefix-inbound/

(in IPR call prior to adoption)